Package org.eclipse.e4.core.services.adapter

# Class Adapter

java.lang.Object
org.eclipse.e4.core.services.adapter.Adapter

public abstract class Adapter extends Object
An adapter can adapt an object to the specified type, allowing clients to request domain-specific behavior for an object.

## Constructor Summary

Constructors
Constructor
Description
`Adapter()`

## Method Summary

Modifier and Type
Method
Description
`abstract <T> T`
`adapt(Object element, Class<T> adapterType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Adapter

public Adapter()

## Method Details

### adapt

public abstract <T> T adapt(Object element, Class<T> adapterType)